MetricSetControllerRemoveElementFromMetricSet Method |
DELETE /MetricSet/RemoveElement/{id}
Removes an element from a metric set.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpDeleteAttribute]
[ActionNameAttribute("RemoveElement")]
public IActionResult RemoveElementFromMetricSet(
Guid id,
string elementUniqueName,
Guid? sessionId = null
)<HttpDeleteAttribute>
<ActionNameAttribute("RemoveElement")>
Public Function RemoveElementFromMetricSet (
id As Guid,
elementUniqueName As String,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpDeleteAttribute]
[ActionNameAttribute(L"RemoveElement")]
IActionResult^ RemoveElementFromMetricSet(
Guid id,
String^ elementUniqueName,
Nullable<Guid> sessionId = nullptr
)
[<HttpDeleteAttribute>]
[<ActionNameAttribute("RemoveElement")>]
member RemoveElementFromMetricSet :
id : Guid *
elementUniqueName : string *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the metric set. - elementUniqueName
- Type: SystemString
The unique name of the analysis element of the element to remove. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
MetricSetData object containing the updated metric set data, or a status code indicating the problem.
See Also